CVE-2018-7689

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2018-7689
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2018-7689.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2018-7689
Published
2018-06-07T13:29:00Z
Modified
2024-06-04T05:24:07.136290Z
Severity
  • 6.5 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
[none]
Details

Lack of permission checks in the InitializeDevelPackage function in openSUSE Open Build Service before 2.9.3 allowed authenticated users to modify packages where they do not have write permissions.

References

Affected packages

Debian:12 / open-build-service

Package

Name
open-build-service
Purl
pkg:deb/debian/open-build-service?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.9.4-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:13 / open-build-service

Package

Name
open-build-service
Purl
pkg:deb/debian/open-build-service?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.9.4-1

Ecosystem specific

{
    "urgency": "low"
}

Git / github.com/opensuse/open-build-service

Affected ranges

Type
GIT
Repo
https://github.com/opensuse/open-build-service
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

1.*

1.9.90
1.9.91
1.9.92

2.*

2.3.60
2.3.90
2.3.91
2.4.50
2.4.51
2.5.50